import {Route} from "@extollo/lib"

Route.get('/', 'main:Home.welcome')

Route.group('/api/v1', () => {
    Route.any('/login/redeem', 'auth:Login.redeemToken')

    Route.group('', () => {
        Route.get('/request/queue', 'api:v1:Relay.getRequestQueue')
        Route.post('/request/service', 'api:v1:Relay.serviceRequest')
    }).pre('auth:ValidateAccessToken')
})

Route.group('/debug', () => {
    Route.get('/inject-user', 'auth:Login.debugInjectUser')
    Route.get('/login-token', 'auth:Login.getLoginToken')
}).pre('auth:InjectUser')
