import {Field, FieldType, Model} from '@extollo/orm'
import {Injectable} from '@extollo/di'
import {User} from './User.model'

/**
 * AccessToken Model
 */
@Injectable()
export class AccessToken extends Model<AccessToken> {
    protected static table = 'access_token'
    protected static key = 'access_token_id'

    @Field(FieldType.serial)
    public access_token_id!: number

    @Field(FieldType.int4, 'user_id')
    public userId!: number

    @Field(FieldType.varchar)
    public token!: string

    @Field(FieldType.boolean)
    public active!: boolean

    user() {
        return User.query<User>()
            .where('user_id', '=', this.userId)
            .limit(1)
            .get()
            .first()
    }
}
