import {Field, FieldType, Model} from '@extollo/orm'
import {Injectable} from '@extollo/di'

/**
 * Thread Model
 */
@Injectable()
export class Thread extends Model<Thread> {
    protected static table = 'thread'
    protected static key = 'thread_id'

    @Field(FieldType.serial, 'thread_id')
    public threadId!: number

    @Field(FieldType.varchar, 'android_id')
    public androidId!: string

    @Field(FieldType.int4, 'user_id')
    public userId!: number

    @Field(FieldType.timestamp)
    public timestamp!: Date
}
